Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.xqj
Class BXQDataSource

    java.lang.Object
      org.basex.api.xqj.BXQDataSource

All Implemented Interfaces:
  javax.xml.xquery.XQDataSource

    public final class BXQDataSource

extends Object
implements javax.xml.xquery.XQDataSource

Java XQuery API - Data Source.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Constructor Summary
`BXQDataSource()`

Method Summary
`org.basex.api.xqj.BXQConnection` | `getConnection()`
`javax.xml.xquery.XQConnection` | `getConnection(Connection c)`
`javax.xml.xquery.XQConnection` | `getConnection(String name, String pw)`
`int` | `getLoginTimeout()`
`PrintWriter` | `getLogWriter()`
`String` | `getProperty(String key)`
`String[]` | `getSupportedPropertyNames()`
`void` | `setLoginTimeout(int to)`
`void` | `setLogWriter(PrintWriter out)`
`void` | `setProperties(Properties prop)`
`void` | `setProperty(String key, String val)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BXQDataSource

    public BXQDataSource()

Method Detail

### getConnection

    public org.basex.api.xqj.BXQConnection getConnection()

  Specified by:
    `getConnection` in interface `javax.xml.xquery.XQDataSource`

### getConnection

    public javax.xml.xquery.XQConnection getConnection(Connection c)
                                                throws javax.xml.xquery.XQException

  Specified by:
    `getConnection` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### getConnection

    public javax.xml.xquery.XQConnection getConnection(String name,
                                                       String pw)

  Specified by:
    `getConnection` in interface `javax.xml.xquery.XQDataSource`

### getLoginTimeout

    public int getLoginTimeout()

  Specified by:
    `getLoginTimeout` in interface `javax.xml.xquery.XQDataSource`

### getLogWriter

    public PrintWriter getLogWriter()

  Specified by:
    `getLogWriter` in interface `javax.xml.xquery.XQDataSource`

### getProperty

    public String getProperty(String key)
                       throws javax.xml.xquery.XQException

  Specified by:
    `getProperty` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### getSupportedPropertyNames

    public String[] getSupportedPropertyNames()

  Specified by:
    `getSupportedPropertyNames` in interface `javax.xml.xquery.XQDataSource`

### setLoginTimeout

    public void setLoginTimeout(int to)

  Specified by:
    `setLoginTimeout` in interface `javax.xml.xquery.XQDataSource`

### setLogWriter

    public void setLogWriter(PrintWriter out)

  Specified by:
    `setLogWriter` in interface `javax.xml.xquery.XQDataSource`

### setProperties

    public void setProperties(Properties prop)
                       throws javax.xml.xquery.XQException

  Specified by:
    `setProperties` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

### setProperty

    public void setProperty(String key,
                            String val)
                     throws javax.xml.xquery.XQException

  Specified by:
    `setProperty` in interface `javax.xml.xquery.XQDataSource`
  Throws:
    `javax.xml.xquery.XQException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD